Subject: Re: Fwd: [PATCH] bcm43xx: (hopefully) fix watchdog timeouts.

From: Greg KH <[email-masked]>
Date: Wed, 25 Oct 2006 21:03:52 -0700

On Wed, Oct 25, 2006 at 11:38:38AM +0200, Michael Buesch wrote:
> On Wednesday 25 October 2006 02:37, John W. Linville wrote:
> > Michael,
> > 
> > It looks like you have a patch that I don't have, one that moves the
> > netif_tx_disable and spin_lock_irqsave outside of the "if (badness >
> > BADNESS_LIMIT)" conditional.
> > 
> > Could you pass that one along as well, or correct this patch to match
> > what is in Linus' tree?
> 
> Well, I'm not sure who moved the tx_disable outside of the
> conditional. It is not needed. We only need to disable TX on
> the slowpath (the first branch of the if condition). It does not
> hurt to disable it always, though.
> But I will send a new patch against wireless-2.6, which only disables
> TX for the slowpath and fakes a TX there.
> 
> But for Greg, the original patch is ok.
> How was the stable mailing list again? [email-masked] seems to bounce.

As per the MAINTAINERS file, it is [email-masked]

Please send this there, it will not get lost that way.

thanks,

greg k-h